Bug 197289 - Crash when trying to copy a file using Dolphin
Summary: Crash when trying to copy a file using Dolphin
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: SVN
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-20 17:52 UTC by Javier G.
Modified: 2010-01-21 18:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier G. 2009-06-20 17:52:12 UTC
Application that crashed: dolphin
Version of the application: 1.2.80
KDE Version: 4.2.92 (KDE 4.2.92 (KDE 4.3 >= 20090617))
Qt Version: 4.5.1
Operating System: Linux 2.6.28-11-generic i686
Distribution: Ubuntu 9.04

 -- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
[KCrash Handler]
#6  0x00000000 in ?? ()
#7  0xb74e4275 in qDeleteAll<QList<KJob*> > (c=@0xa65daa4) at /opt/project-neon/include/QtCore/qalgorithms.h:358
#8  0xb74e3e83 in ~KCompositeJobPrivate (this=0xa65da70) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kdecore/jobs/kcompositejob.cpp:29
#9  0xb7ee07f0 in ~JobPrivate (this=0xa65da70) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kio/kio/job_p.h:35
#10 0xb7f1ad66 in ~FileCopyJobPrivate (this=0xa65da70) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kio/kio/job.cpp:1656
#11 0xb74e5aa4 in ~KJob (this=0xa6fc290) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kdecore/jobs/kjob.cpp:69
#12 0xb74e3cb8 in ~KCompositeJob (this=0xa6fc290) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kdecore/jobs/kcompositejob.cpp:44
#13 0xb7f13378 in ~Job (this=0xa6fc290) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kio/kio/job.cpp:91
#14 0xb7f133ad in ~FileCopyJob (this=0xa6fc290) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kio/kio/job.cpp:1811
#15 0xb6a77be5 in qDeleteInEventHandler () from /opt/project-neon/lib/libQtCore.so.4
#16 0xb6a79cbb in QObject::event () from /opt/project-neon/lib/libQtCore.so.4
#17 0xb6c487fc in QApplicationPrivate::notify_helper () from /opt/project-neon/lib/libQtGui.so.4
#18 0xb6c5144f in QApplication::notify () from /opt/project-neon/lib/libQtGui.so.4
#19 0xb7813203 in KApplication::notify (this=0xbfac693c, receiver=0xa6fc290, event=0xa706708) at /build/buildd/kde-nightly-kdelibs-20090619+svn984009/kdeui/kernel/kapplication.cpp:302
#20 0xb6a68b3b in QCoreApplication::notifyInternal () from /opt/project-neon/lib/libQtCore.so.4
#21 0xb6a6c4e5 in QCoreApplicationPrivate::sendPostedEvents () from /opt/project-neon/lib/libQtCore.so.4
#22 0xb6a6c6ed in QCoreApplication::sendPostedEvents () from /opt/project-neon/lib/libQtCore.so.4
#23 0xb6a93abf in ?? () from /opt/project-neon/lib/libQtCore.so.4
#24 0xb62b8b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#25 0xb62bc0eb in ?? () from /usr/lib/libglib-2.0.so.0
#26 0xb62bc268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#27 0xb6a937a8 in QEventDispatcherGlib::processEvents () from /opt/project-neon/lib/libQtCore.so.4
#28 0xb6ce3065 in ?? () from /opt/project-neon/lib/libQtGui.so.4
#29 0xb6a6757a in QEventLoop::processEvents () from /opt/project-neon/lib/libQtCore.so.4
#30 0xb6a6773a in QEventLoop::exec () from /opt/project-neon/lib/libQtCore.so.4
#31 0xb6a6c7b1 in QCoreApplication::exec () from /opt/project-neon/lib/libQtCore.so.4
#32 0xb6c48527 in QApplication::exec () from /opt/project-neon/lib/libQtGui.so.4
#33 0x08079109 in main (argc=5, argv=0xbfac6af4) at /build/buildd/kde-nightly-kdebase-20090619+svn984009/apps/dolphin/src/main.cpp:94

Reported using DrKonqi
Comment 1 Dario Andres 2009-06-21 00:35:40 UTC
I wonder if this could be related to bug 162285.
Thanks
Comment 2 Javier G. 2009-06-21 02:12:40 UTC
I readed comments and I haven't added a new network when the crash happened. 

I don't know how explain it but I had 2 tabs, the first one, It was divided by 2 (split button enabled), I think that on the left I had my home folder and in the right side I had another folder of another hard disk. The second tab had a remote FTP location (that was added weeks ago in remote:/ ) and I was trying to copy a .gif file from the first tab to the second. 

Unfortunately I can't remember if finally made the file copy before or after the Dolphin crash, sorry.

Another think that I remember few minutes before the crash is that every time that I was selecting the first tab and after the second tab I was forced to introduce the password 1 or more times (kwalletmanager wizard? I don't know how is called that window). I don't know if this can be a useful abut this crash or if is a different bug.
Comment 3 David Faure 2009-12-16 17:16:23 UTC
SVN commit 1062999 by dfaure:

Fix crash in ~KCompositeJobPrivate after an error happens in a TransferJob.
Fixed for: 4.4
BUG: 214100
BUG: 202091
BUG: 197289
BUG: 180791
CCBUG: 218719
CCBUG: 162285


 M  +9 -2      job.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1062999
Comment 4 David Faure 2010-01-21 18:41:29 UTC
Fix backported for 4.3.5